import easygui
from merge_data import *

data_path_gasAnalyzer = easygui.diropenbox('第1/2步', '气体分析仪数据路径')
data_path_meteorologicalStation = easygui.diropenbox('第2/2步', '气象站数据路径')

# data_path_gasAnalyzer = r"D:\PycharmProjects\weatherInstrument\2022neimengdata\气体分析仪\2022-08-13"
# data_path_meteorologicalStation = r"D:\PycharmProjects\weatherInstrument\2022neimengdata\气象站\2022_08_13"

gas_analyzer = GasAnalyzer(data_path_gasAnalyzer)
gas_analyzer.read_data()

meteorological_station = MeteorologicalStation(data_path_meteorologicalStation)
meteorological_station.read_data()

gas_analyzer.merge_data(meteorological_station)
gas_analyzer.write_data(debug=False)

easygui.msgbox("数据融合完成！", "提示")
